/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { FileSystemStorageOptionsDto } from './file-system-storage-options-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { GitLabOptionsDto } from './git-lab-options-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { RdsOptionsDto } from './rds-options-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { RdsS3OptionsDto } from './rds-s3-options-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { RdsS3WormOptionsDto } from './rds-s3-worm-options-dto';

/**
 * Represents the options available for different resource types.
 * @export
 * @interface ResourceTypeOptionsDto
 */
export interface ResourceTypeOptionsDto {
    /**
     * Represents the data transfer object (DTO) for Linked Data options.
     * @type {object}
     * @memberof ResourceTypeOptionsDto
     */
    'linkedData'?: object;
    /**
     * 
     * @type {GitLabOptionsDto}
     * @memberof ResourceTypeOptionsDto
     */
    'gitLab'?: GitLabOptionsDto;
    /**
     * 
     * @type {RdsOptionsDto}
     * @memberof ResourceTypeOptionsDto
     */
    'rds'?: RdsOptionsDto;
    /**
     * 
     * @type {RdsS3OptionsDto}
     * @memberof ResourceTypeOptionsDto
     */
    'rdsS3'?: RdsS3OptionsDto;
    /**
     * 
     * @type {RdsS3WormOptionsDto}
     * @memberof ResourceTypeOptionsDto
     */
    'rdsS3Worm'?: RdsS3WormOptionsDto;
    /**
     * 
     * @type {FileSystemStorageOptionsDto}
     * @memberof ResourceTypeOptionsDto
     */
    'fileSystemStorage'?: FileSystemStorageOptionsDto;
}

